[torqueusers] looking for brave OS X torque users

Glen Beane glen.beane at gmail.com
Fri Sep 14 11:25:15 MDT 2007


I have removed the dependency of libkvm from our development  branch
of the code.  This was done quite some time ago and everything seems
to be working fine, but we didn't want to make major changes under the
hood in 2.1.x,  so intel mac users have to use the work around I
mentioned.  I may post a patch to 2.1.9 that removes libkvm usage for
users that want to download it and install it...  I really expected
2.2.0 to be out by now and this wouldn't be an issue anymore

On 9/14/07, Steve Young <chemadm at hamilton.edu> wrote:
> Hi,
>         I recently got my lab of 18 iMac's replaced with the new Intel based
> ones. In googling around I see that torque has some issues with Intel
> based mac's (specifically with libkvm). I'd be happy to test out
> anything that is in the works to remedy this. Although we do have
> other dedicated clusters under torque/Maui it was nice to cluster
> this lab of mac's for some simple jobs. So being able to get these
> clustered again would be helpful. Anyhow, let me know if there is
> anything I can do to help in this area. Thanks,
>
> -Steve Young
>
>
>
>
> On Sep 5, 2007, at 8:44 PM, Glen Beane wrote:
>
> > On 9/5/07, Colin Potter <colinpotter at gmail.com> wrote:
> >> Hi Glen,
> >>
> >> Have you had any luck with freeing the pbs_mom code from /dev/kmem
> >> dependencies?
> >>
> >> I am installing torque onto a 2 x 3 GHZ Quad Core Intel Xeon Power
> >> Mac. I'm getting the following error message when I try to launch
> >> pbs_mom:
> >>
> >> 09/05/2007 18:27:14;0001;   pbs_mom;Svr;pbs_mom;No such file or
> >> directory (2) in dep_initialize, kvm_open
> >> 09/05/2007 18:27:14;0001;   pbs_mom;Svr;pbs_mom;No such file or
> >> directory (2) in mom_open_poll, kvm_open
> >> 09/05/2007 18:27:14;0001;   pbs_mom;Svr;pbs_mom; System error:
> >> (15010) in pbs_mom, pre_poll failed
> >>
> >> Is that what is fixed in your version?
> >>
> >> Thanks for whatever info you can provide me with.
> >>
> >>   Colin
> >
> > Hi Colin,
> >
> > This dependency on libkvm has been removed in the subversion trunk
> > (what will eventually become TORQUE 2.2.0).  We did not think it would
> > be appropriate to backport this into the 2.1.x.  This means the latest
> > stable release, 2.1.9 will not work on Intel based Macs with default
> > configurations.
> >
> > There is a work around for older versions of TORQUE with the libkvm
> > dependency.  If you take a look at the  text document named INSTALL
> > included in the torque tar.gz,  you will see a section called OS
> > NOTES.  There is a section about OS X on X86 and some notes on how to
> > re-enable /dev/kmem.  (In short, you need to run this command as root:
> >  nvram boot-args="kmem=1",  and then you need to reboot the computer)
> > _______________________________________________
> > torqueusers mailing list
> > torqueusers at supercluster.org
> > http://www.supercluster.org/mailman/listinfo/torqueusers
>
>


More information about the torqueusers mailing list